version: '3.8'

services:
  web:
    build: ./server
    command: gunicorn --bind 0.0.0.0:5000 manage:app
    ports:
      - 5000:5000
    env_file:
      - .env
  db:
    image: postgres:13-alpine
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    env_file:
      - .env_db
  nginx:
    image: nginx:alpine
    container_name: nginx_alp
    volumes:
      - ./client/dist:/usr/share/nginx/html
      - ./nginx.conf:/etc/nginx/conf.d/default.conf:ro
    ports:
      - 80:80



volumes:
  postgres_data:
